   #include "arrays.inc"
#include "chars.inc"
#include "colors.inc"
#include "finish.inc"
#include "glass.inc"
#include "golds.inc"
#include "math.inc"
#include "metals.inc"
#include "rand.inc"
#include "shapes.inc"
#include "shapes2.inc"
#include "shapesq.inc"
#include "skies.inc"
#include "stoneold.inc"
#include "stones.inc"
#include "stones1.inc"
#include "stones2.inc"
#include "strings.inc"
#include "textures.inc"
#include "transforms.inc"  
#declare besch_font = "courbd.ttf"
#declare global_fontfile_courier = "cour.ttf"
#declare global_fontfile_courier_bold = "courbd.ttf"
#declare global_fontfile_arial = "arial.ttf"
#declare global_fontfile_arial_bold = "arialbd.ttf"
#declare global_fontfile_handelgo = "handelgo.ttf"
#declare global_fontfile_eagle3d = "eagle3d.ttf"
#declare global_fontfile_alphalcd = "alphalcd.ttf"
#declare col_gold = texture {T_Gold_5E finish{F_MetalA}};
#declare col_silver = texture { T_Silver_5A finish{F_MetalA} } ;

//Definice a deklarace knihoven a psma

//Nastaven pohledu kamery
camera 
{
location <0,1.8,-3>  // ve vce o

look_at y            // y=<0,1,0>
}
 
//Nastaven zdroje svtla { 10*y White }
 
light_source { <5,15,-5> White }
light_source { <-50,100,-50> 0.2*White}   
background {White}                                             

///////////////////////////////////////////////////////////////   
///////////////////////////////////////////////////////////////

 #local pin = object
 {
  union
 {

 box{<0,0,0><0.3,-6,0.8>translate<-0.15,4,-0.4>} 
 texture{col_silver}  
 }
}
/////////////////////////definice rozmru pinu


union 
 {
 difference
  {
  Round_Box_Union(<0,0,0>,<10.1,6.4,10.1>,0.2)
  box{<0,0,0><1,4,1> translate<1.5,-0.1,-0.1>} 
  box{<0,0,0><1,4,1> translate<7.5,-0.1,-0.1>} 
  box{<0,0,0><1,4,1> translate<1.5,-0.1,9.11>} 
  box{<0,0,0><1,4,1> translate<7.5,-0.1,9.11>} 
  box{<-0.1,0,0><10.2,1.5,1.5> translate<0,4.91,8.61>}
  pigment {color red 0.16 green 0.19 blue 0.47}
  }
 
 union
  {
      difference
       {
       cylinder {<0,0,0>,<0,4,0>,3.2}
       cylinder {<0,0,0>,<0,4,0>,2.8 translate<0,0.2,0>}
       box{<0,0,0>,<1,4,6.5>translate<-0.5,0.2,-3.25>}  
       rotate<0,-45,0>
       pigment {White}
       translate<5.05,6.399,5.05>
       
       } 
      union
       {
  
       box{<0,0,0>,<0.3,3.2,0.3>translate<3.21,0,0>}
       box{<0,0,0>,<0.3,3.2,0.3>translate<-3.5,0,0>}
       box{<0,0,0>,<0.3,3.2,0.3>translate<0,0,3.21>}
       box{<0,0,0>,<0.3,3.2,0.3>translate<0,0,-3.5>}
       pigment {White}
       translate<5.05,6.399,5.05>
       }
  }
 
 object{pin translate<0.1,0,1.25>} 
 object{pin translate<0.1,0,(1.25+7.6)>} 
 object{pin translate<10.1,0,1.25>} 
 object{pin translate<10.1,0,(1.25+7.6)>}
  
  
rotate<0,-45,0> 
rotate<10,0,0>   
 scale 0.2
 }